fmodstudioL - macOS catalina ERROR PLEASE HELP

hey everybody!
i have this errors:


i tried to install different versions of unity and or fmod and nothing. still same problem.
i guess it’s because of the Catalina OS but i cant downgrade due to the problem of deleting all my files.
is there anything i can do to fix it?
PLEASE HELP
thanks

and this is what unity says

Try this : MacOS 10.15 (Catalina) Unity

I fixed this by going to ‘Privacy and Security>General’ and manually allowing the dll. Then I had to close and reopen unity and it worked.

Tried it…still wont work

this was the first thing i tried, but the files aren’t there, like the computer deletes them.
and how do i whitelist? searched on google couldnt found the answer

This has been fixed in 2.00.09 and 2.01.01.